var execute = require('child_process').exec;
var prettyjson = require('prettyjson');

exports.runCommand = function(command, socket){
    execute(command, function(error, stdout, stderr){
        var server = {
            attr: {}
        };
        var lines = stdout.split('\n');
    
        for (line in lines){
            var key = (/\b\w*\b/).exec(lines[line]);
        
            if(key == null){continue;}
            var value = lines[line].substring(key.index + key[0].length + 1);
            server.attr[key[0]] = value;
        }
        console.log("Sending data:");
        console.log(prettyjson.render(server));
        socket.emit('resServerInfo', JSON.parse(JSON.stringify(server)));
    });
}